Skip to navigation

List codon usage tables for organisms

List tables with codon usage data for organisms that can be specified for other Benchling operations.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to name:asc

Method by which to order search results. Valid sort is name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.

Allowed values:
namestringOptional

Name of a codon usage table (tables are named for the organisms that they represent). Restricts results to those with the specified name.

nameIncludesstringOptional

Name substring of a codon usage table (tables are named for the organisms that they represent). Restricts results to those with names that include the provided substring.

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

names.anyOfstringOptional

Comma-separated list of names. Restricts results to those that match any of the specified names.

Response headers

Result-Countinteger
The total number of items that match the given query
x-rate-limit-limitinteger

The number of allowed requests in the current rate-limit period

x-rate-limit-remaininginteger

The number of requests remaining in the current rate-limit period

x-rate-limit-resetinteger

The number of seconds remaining in the current rate-limit period

Response

OK
codonUsageTableslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error